"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRuntimeFiles = void 0;
/**
 * 生成文件路径
 * @param fileName - 文件名
 */
function generatePath(fileName) {
    return require.resolve(`@morjs/runtime-mini/lib/wechat/${fileName}.js`);
}
function generateCommonPath(fileName) {
    return require.resolve(`@morjs/runtime-mini/lib/common/${fileName}.js`);
}
/**
 * 获取运行时抹平相关代码路径
 * @param sourceType - 源码类型
 * @param target - 目标平台
 */
function getRuntimeFiles(sourceType, target) {
    let api;
    let app;
    let page;
    let component;
    let behavior;
    let mixin;
    if (sourceType !== target) {
        api = generatePath('apis');
        mixin = generateCommonPath('behaviorOrMixin');
    }
    return {
        api,
        app,
        page,
        component,
        behavior,
        mixin
    };
}
exports.getRuntimeFiles = getRuntimeFiles;
//# sourceMappingURL=runtimeConfig.js.map